0

Have tried to change the resolution the following command: sudo apt-get install virtualbox-guest-utils virtualbox-guest-x11 virtualbox-guest-dkms.

But it did not work. Error given: virtualbox-guest-x11 depends xorg-video-abi-15.

Googled for answers and one of the recommendations is to run the following: sudo apt-get -q -y -f build-dep virtualbox-ose-guest-utils virtualbox-guest-x11 virtualbox-ose-guest-x11 virtualbox-ose-guest-dkms.

This did not work either. Desperate for help :-)

0

Try to modify the resolution using xrandr.

WARNING! Make sure you enter into a tty console (outside of lightdm), or else it will mostly cause errors in the x server. (Use Ctrl+Alt+F1/F2/F3/etc.)

Now, use these commands:

xrandr --fb [enter width here]x[enter height here] --display [display number, default: 0]
sudo service lightdm restart

These lines of commands will make the X server to reboot and they will change the display resolution to your desired resolution.

Hope this helps! Peace,
matemate01

0

You seem to use an older version of VirtualBox ... instead use the current version VirtualBox 5.0 :

Uninstall the old version of VirtualBox

sudo apt-get purge "^virtualbox-.*"  

Remove leftovers in case there are any

sudo apt-get autoremove  

Download and register the ORACLE public key

wget -q -O - https://www.virtualbox.org/download/oracle_vbox.asc | sudo apt-key add -  

Add the ORACLE VirtualBox repository to the software sources

echo "deb http://download.virtualbox.org/virtualbox/debian trusty contrib" | sudo tee /etc/apt/sources.list.d/oracle-vbox.list

Update the software repositories

sudo apt-get update

Install VirtualBox 5.0

sudo apt-get install dkms virtualbox-5.0  

Download the Oracle VM VirtualBox Extension Pack.

Open VirtualBox Preferences and add the extension pack.

It is recommended to restart the operating system afterwards.

Note for other users reading this answer, in case they use another Ubuntu edition as 14.04 :

You have to replace trusty with the Ubuntu edition you are using when adding the repository !

As of Ubuntu 16.04 the ORACLE public key to download and register has changed :

oracle_vbox.asc has to be replaced with oracle_vbox_2016.asc !

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.